=== src/tools/Makefile ===
DIR=	${UPREFIX}/bin
BIN=	deptree2dot

MK=	../../mk
include ${MK}/scripts.mk
