=== debian/changelog ===
openrc (0.23-1) unstable; urgency=medium

  * New upstream release.
  * Read /proc/mounts in mountinfo. (Bug #847281)

 -- Benda Xu <heroxbd@gentoo.org>  Thu, 05 Jan 2017 01:15:03 +0900

openrc (0.22-1) unstable; urgency=medium

  * New upstream release.
  * Manage reboot/halt by /etc/init.d/rc. (Closes: #844685)

 -- Benda Xu <heroxbd@gentoo.org>  Mon, 05 Dec 2016 13:21:17 +0900

openrc (0.21-4) unstable; urgency=medium

  [ Svante Signell ]
  * Fix upgrade from jessie to stretch by adding openrc.preinst
    and modifying openrc.postinst for conffile transit (Closes: #840073)
  * Revert fix for #834014

  [ Adam Borowski ]
  * Add myself to Uploaders.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 15 Nov 2016 01:35:20 +0100

openrc (0.21-3) unstable; urgency=medium

  [ Marvin Kohl ]
  * Fix "fails to install: rc-update: service `transit' does not exist"
    Exclude transit when removing gentoo init files. (Closes: #834014)

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 24 Sep 2016 02:11:37 +0200

openrc (0.21-2) unstable; urgency=medium

  * Move Recommends init-system-helpers to Pre-Depend (Closes: 829488).
  * Drop Provides sysv-rc.
  * Install transit into /etc/init.d directly.

 -- Benda Xu <heroxbd@gentoo.org>  Wed, 27 Jul 2016 16:04:40 +0900

openrc (0.21-1) unstable; urgency=medium

  [ Dmitry Yu Okunev ]
  * Removed nested functions from lsb2rcconf:main.c

  [ Benda Xu ]
  * New upstream release
  * Bump standard to 3.9.8
  * Switch from dbg to dbgsym packages.

 -- Benda Xu <heroxbd@gentoo.org>  Thu, 23 Jun 2016 10:30:43 +0900

openrc (0.20.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove diversions to update-rc.d + invoke-rc.d (Closes: #817006).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 08 Mar 2016 05:17:44 +0100

openrc (0.20.4-2) unstable; urgency=high

  * Bump standard to 3.9.7.
  * Exclude /etc/init.d/*.dpkg*.
  * This version of OpenRC issues a warning if boot facility duplication
    is found (Closes: #738628).
  * Pass tests on ppc64el and mips64el.
  * update-rc.d + invoke-rc.d are found in init-system-helpers 1.29.
    Recommends init-system-helpers 1.29.

 -- Benda Xu <heroxbd@gentoo.org>  Sat, 05 Mar 2016 01:51:21 +0900

openrc (0.20.4-1) unstable; urgency=high

  [ Benda Xu ]
  * New upstream release.
    Refresh and remove upstreamed GNU/Hurd patches.
  * Removed nested functions in the previous release (Closes: #758564).
  * Enable SELinux, audit and PAM supports on Linux (Closes: #773287).
    Credits Laurent Bigonville.

  [ Svante Signell ]
  * Update openrc.postrm and create openrc.preinst to divert
    update-rc.d + invoke-rc.d files to cooperate with
    init-system-helpers >=1.25. (Closes: #811708)

 -- Benda Xu <heroxbd@gentoo.org>  Tue, 23 Feb 2016 21:56:27 +0900

openrc (0.18.3-1) unstable; urgency=medium

  [ Dmitry Yu Okunev ]
  * Remove nested functions (Closes: #765070),
    merge GNU-kFreeBSD_workaround-nxstack.patch.
  * Rename static functions "rc_*" to be without "rc_" to pass "make test"
    (Closes: #763681, #770459)

  [ Benda Xu ]
  * New upstream release. (Closes: #796287, #766151)
    - Rename REAMDME to README.md.
    - Remove upstreamed patches relating to GNU/Hurd and GNU/kFreeBSD.
  * Document how to disable 20-left-info-blocks and remove experimental
    claim. (Closes: #771834)
  * Revise the package descriptions. (Closes: #740611)
  * Cope with shebang correctly. (Closes: #766153, #766151)
  * Remove /etc/init.d/transit in postrm purge. (Closes: #740469)
  * Reuse the _all mechanism that works well on Hurd now. (Closes: #739703)
  * Bump to standards version 3.9.6.

 -- Benda Xu <heroxbd@gentoo.org>  Sat, 07 Nov 2015 13:44:58 +0900
