=== debian/control ===
Source: openrc
Section: admin
Priority: extra
Maintainer: OpenRC Debian Maintainers <openrc-devel@lists.alioth.debian.org>
Uploaders: Roger Leigh <rleigh@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Benda Xu <heroxbd@gentoo.org>,
           Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>= 9),
               libaudit-dev [linux-any],
               libpam0g-dev [linux-any],
               libselinux1-dev [linux-any]
Standards-Version: 3.9.8
Homepage: https://github.com/openrc/openrc
Vcs-Git: git://anonscm.debian.org/openrc/openrc.git
Vcs-Browser: http://anonscm.debian.org/cgit/openrc/openrc.git

Package: openrc
Architecture: any
Conflicts: file-rc, sysv-rc
Replaces: sysv-rc
Pre-Depends: init-system-helpers (>=1.29)
Depends: insserv, ${misc:Depends}, ${shlibs:Depends}
Suggests: sysvinit-core, policycoreutils [linux-any]
Description: dependency based service manager (runlevel change mechanism)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides the runlevel change mechanism.

Package: librc1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dependency based service manager (runtime library)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides the runtime library.

Package: librc-dev
Architecture: any
Section: libdevel
Depends: librc1 (=${binary:Version}), ${misc:Depends}
Description: dependency based service manager (runtime development)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides development files for the runtime library.

Package: libeinfo1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dependency based service manager (pretty console display library)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides a runtime library that supports displaying messages on
 the console.

Package: libeinfo-dev
Architecture: any
Section: libdevel
Depends: libeinfo1 (=${binary:Version}), ${misc:Depends}
Description: dependency based service manager (pretty console display development)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides a development library that supports displaying messages
 on the console.
