## openrc 0.40.3

=== Makefile ===
--- 
+++ 
@@ -13,12 +13,24 @@
 
 include ${TOP}/Makefile.inc
 
-SUBDIR=		conf.d etc init.d local.d man scripts sh src sysctl.d
+SUBDIR=		conf.d etc init.d local.d man scripts sh src support sysctl.d
+
+# Build bash completion or not
+MKBASHCOMP?=	no
+ifeq (${MKBASHCOMP},yes)
+SUBDIR+=	bash-completion
+endif
 
 # Build pkgconfig or not
 MKPKGCONFIG?=	yes
 ifeq (${MKPKGCONFIG},yes)
 SUBDIR+=	pkgconfig
+endif
+
+# Build zsh completion or not
+MKZSHCOMP?=	no
+ifeq (${MKZSHCOMP},yes)
+SUBDIR+=	zsh-completion
 endif
 
 # We need to ensure that runlevels is done last
