=== runlevels/Makefile ===
--- 
+++ 
@@ -36,9 +36,10 @@
 # FreeBSD specific stuff
 BOOT-FreeBSD+=	adjkerntz dumpon syscons
 
-BOOT-Linux+=	binfmt hwclock keymaps modules mtab procfs termencoding
+BOOT-Linux+=	binfmt hwclock keymaps modules mtab procfs save-keymaps \
+	save-termencoding termencoding
 SHUTDOWN-Linux=	killprocs mount-ro
-SYSINIT-Linux=	devfs dmesg sysfs
+SYSINIT-Linux=	devfs cgroups dmesg sysfs
 
 # Generic BSD stuff
 BOOT-NetBSD+=	hostid newsyslog savecore syslogd
