=== sysctl.d/Makefile ===
DIR=	${SYSCTLDIR}
CONF=	README

MK=		../mk
include ${MK}/os.mk
include ${MK}/scripts.mk
