=== src/rc/Makefile ===
--- 
+++ 
@@ -1,12 +1,20 @@
+include ../../Makefile.inc
+MK=		../../mk
+include ${MK}/os.mk
+
 SRCS=	checkpath.c do_e.c do_mark_service.c do_service.c \
 		do_value.c fstabinfo.c is_newer_than.c is_older_than.c \
 		mountinfo.c openrc-run.c rc-abort.c rc.c \
-		rc-depend.c rc-logger.c rc-misc.c rc-plugin.c \
-		rc-service.c rc-status.c rc-update.c \
+		rc-depend.c rc-logger.c rc-misc.c rc-pipes.c \
+		rc-plugin.c rc-service.c rc-status.c rc-update.c \
 		shell_var.c start-stop-daemon.c supervise-daemon.c swclock.c _usage.c
 
 ifeq (${MKSELINUX},yes)
 SRCS+=		rc-selinux.c
+endif
+
+ifeq (${OS},Linux)
+SRCS+=		kill_all.c openrc-init.c openrc-shutdown.c broadcast.c rc-wtmp.c
 endif
 
 CLEANFILES=	version.h rc-selinux.o
@@ -16,7 +24,7 @@
 LINKDIR=	${LIBEXECDIR}
 
 BINPROGS=	rc-status
-SBINPROGS = openrc openrc-run rc rc-service rc-update runscript service \
+SBINPROGS = openrc openrc-run rc rc-service rc-update runscript \
 			start-stop-daemon supervise-daemon
 RC_BINPROGS=	einfon einfo ewarnn ewarn eerrorn eerror ebegin eend ewend \
 				eindent eoutdent esyslog eval_ecolors ewaitfile \
@@ -33,7 +41,14 @@
 		mark_service_stopping mark_service_stopped \
 		mark_service_inactive mark_service_wasinactive \
 		mark_service_hotplugged mark_service_failed \
+		mark_service_crashed \
 		rc-abort swclock
+
+ifeq (${OS},Linux)
+RC_BINPROGS+= kill_all
+SBINPROGS+= openrc-init openrc-shutdown
+endif
+
 ALL_PROGS=	${BINPROGS} ${SBINPROGS} ${RC_BINPROGS} ${RC_SBINPROGS}
 CLEANFILES+=	${ALL_PROGS}
 
@@ -41,8 +56,6 @@
 LOCAL_LDFLAGS=-L../librc -L../libeinfo
 LDADD+=		-lutil -lrc -leinfo
 
-include ../../Makefile.inc
-MK=		../../mk
 include ${MK}/prog.mk
 include ${MK}/gitver.mk
 include ${MK}/cc.mk
@@ -88,12 +101,18 @@
 endif
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
+kill_all: kill_all.o _usage.o
+	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
+
 einfon einfo ewarnn ewarn eerrorn eerror ebegin eend ewend \
 eindent eoutdent esyslog eval_ecolors ewaitfile \
 veinfo vewarn vebegin veend vewend veindent veoutdent: do_e.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 fstabinfo: fstabinfo.o _usage.o rc-misc.o
+	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
+
+openrc-init: openrc-init.o rc-wtmp.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 is_newer_than: is_newer_than.o rc-misc.o
@@ -105,13 +124,17 @@
 mark_service_starting mark_service_started \
 mark_service_stopping mark_service_stopped \
 mark_service_inactive mark_service_wasinactive \
-mark_service_hotplugged mark_service_failed: do_mark_service.o rc-misc.o
+mark_service_hotplugged mark_service_failed \
+mark_service_crashed: do_mark_service.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 mountinfo: mountinfo.o _usage.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 openrc rc: rc.o rc-logger.o rc-misc.o rc-plugin.o _usage.o
+	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
+
+openrc-shutdown: openrc-shutdown.o rc-misc.o _usage.o broadcast.o rc-wtmp.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 openrc-run runscript: openrc-run.o _usage.o rc-misc.o rc-plugin.o
@@ -129,16 +152,16 @@
 rc-status: rc-status.o _usage.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
-rc-service service: rc-service.o _usage.o rc-misc.o
+rc-service: rc-service.o _usage.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 rc-update: rc-update.o _usage.o rc-misc.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
-start-stop-daemon: start-stop-daemon.o _usage.o rc-misc.o
+start-stop-daemon: start-stop-daemon.o _usage.o rc-misc.o rc-pipes.o rc-schedules.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
-supervise-daemon: supervise-daemon.o _usage.o rc-misc.o
+supervise-daemon: supervise-daemon.o _usage.o rc-misc.o rc-plugin.o rc-schedules.o
 	${CC} ${LOCAL_CFLAGS} ${LOCAL_LDFLAGS} ${CFLAGS} ${LDFLAGS} -o $@ $^ ${LDADD}
 
 service_get_value service_set_value get_options save_options: do_value.o rc-misc.o
