=== support/sysvinit/Makefile ===
MK=	../../mk
include ${MK}/os.mk

DIR=	${DATADIR}/support/sysvinit
INC=	inittab README.md


include ${MK}/scripts.mk
