=== debian/changelog ===
openrc (0.40.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix ELF hardening.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 02 Feb 2019 15:41:07 +0000

openrc (0.39-1) unstable; urgency=medium

  * New upstream release. (Closes: 911946).
  * Introduce Mo Zhou to the maintainer team.

 -- Benda Xu <heroxbd@gentoo.org>  Sat, 27 Oct 2018 11:57:22 +0800

openrc (0.38-2) unstable; urgency=medium

  [ Benda Xu ]
  * Upload a new version to recover Version 0.34-3.
    It was my mistake by not basing the new upstream release 0.38-1 on
    the latest maintenance repository.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

 -- Benda Xu <heroxbd@gentoo.org>  Mon, 22 Oct 2018 08:29:17 +0800

openrc (0.38-1) unstable; urgency=medium

  * New upstream release.
  * Rebase, merge and drop patches.

 -- Benda Xu <heroxbd@gentoo.org>  Sun, 21 Oct 2018 18:40:30 +0800

openrc (0.34-3) unstable; urgency=medium

  * Switch maintainer address to something that doesn't bounce.
    (Closes: #899777)
  * Use dh compat 11.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 24 May 2018 13:28:14 +0200

openrc (0.34-2) unstable; urgency=medium

  [ Benda Xu ]
  * Set priority to optional as per standard recommendation.
  * Move libeinfo and librc to the "libs" section.
  * Update git fields to salsa.d.o pages.

  [ Svante Signell ]
  * Fix FTBFS on hurd. (Closes: #891530)

  [ Adam Borowski ]
  * Add bogus LSB headers to savecache to silence an insserv warning.
  * Don't use -march=native.
  * Fix FTBFS on riscv64.
  * Put the global wildcard first in debian/copyright.
  * Switch Vcs to unauthenticated.
  * Set libraries as M-A: same, main package as M-A: foreign.
  * Rules-Requires-Root: no.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 10 Apr 2018 00:24:56 +0200

openrc (0.34-1) unstable; urgency=medium

  * New upstream release.
  * Scan /etc/insserv.conf.d directory. (Bug #874790)
  * Merge 0.27-2 update into the main patch. Force _GNU_SOURCES.
  * Remove Roger Leigh from the Uploaders. Thank you Roger for the
    groundbreaking work. (Bug #869347)
  * Save deptree on shutdown. Revert upstream commit b02ff466fa75.
  * Bump standard to 4.1.3.

 -- Benda Xu <heroxbd@gentoo.org>  Sat, 17 Feb 2018 19:11:06 +0900

openrc (0.27-3) unstable; urgency=medium

  * Fix FTBFS on ppc64el with current binutils.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 25 Nov 2017 06:47:30 +0100

openrc (0.27-2) unstable; urgency=critical

  * Fix segfault with glibc 2.25 in librc; this made systems using openrc
    effectively unbootable.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 19 Nov 2017 04:38:32 +0100

openrc (0.27-1) unstable; urgency=medium

  * New upstream release.
  * Drop /proc/mounts patch: accepted upstream.
  * Ship more documentation.
  * Bump standard to 4.0.0.

 -- Benda Xu <heroxbd@gentoo.org>  Tue, 04 Jul 2017 22:47:13 +0900
