=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: openrc
 Section: admin
-Priority: extra
-Maintainer: OpenRC Debian Maintainers <openrc-devel@lists.alioth.debian.org>
-Uploaders: Roger Leigh <rleigh@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
+Priority: optional
+Maintainer: OpenRC Debian Maintainers <openrc@packages.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
            Benda Xu <heroxbd@gentoo.org>,
-           Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 9),
+           Adam Borowski <kilobyte@angband.pl>,
+           Mo Zhou <cdluminate@gmail.com>
+Build-Depends: debhelper (>= 11),
                libaudit-dev [linux-any],
                libpam0g-dev [linux-any],
                libselinux1-dev [linux-any]
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
 Homepage: https://github.com/openrc/openrc
-Vcs-Git: git://anonscm.debian.org/openrc/openrc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/openrc/openrc.git
+Vcs-Git: https://salsa.debian.org/debian/openrc.git
+Vcs-Browser: https://salsa.debian.org/debian/openrc
 
 Package: openrc
 Architecture: any
@@ -22,6 +23,7 @@
 Pre-Depends: init-system-helpers (>=1.29)
 Depends: insserv, ${misc:Depends}, ${shlibs:Depends}
 Suggests: sysvinit-core, policycoreutils [linux-any]
+Multi-Arch: foreign
 Description: dependency based service manager (runlevel change mechanism)
  OpenRC is a dependency based service manager. It provides support for System V
  init, for booting, changing runlevels, starting and stopping services, and
@@ -37,7 +39,9 @@
 
 Package: librc1
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: dependency based service manager (runtime library)
  OpenRC is a dependency based service manager. It provides support for System V
  init, for booting, changing runlevels, starting and stopping services, and
@@ -55,6 +59,7 @@
 Architecture: any
 Section: libdevel
 Depends: librc1 (=${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: dependency based service manager (runtime development)
  OpenRC is a dependency based service manager. It provides support for System V
  init, for booting, changing runlevels, starting and stopping services, and
@@ -70,7 +75,9 @@
 
 Package: libeinfo1
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: dependency based service manager (pretty console display library)
  OpenRC is a dependency based service manager. It provides support for System V
  init, for booting, changing runlevels, starting and stopping services, and
@@ -89,6 +96,7 @@
 Architecture: any
 Section: libdevel
 Depends: libeinfo1 (=${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: dependency based service manager (pretty console display development)
  OpenRC is a dependency based service manager. It provides support for System V
  init, for booting, changing runlevels, starting and stopping services, and
