=== bash-completion/Makefile ===
DIR=	${BASHCOMPDIR}
CONF=	openrc \
		openrc-service-script \
		rc-service \
		rc-status \
		rc-update \

MK=	../mk
include ${MK}/os.mk

include ${MK}/scripts.mk
