=== init.d/Makefile ===
--- 
+++ 
@@ -19,11 +19,12 @@
 		rc-enabled.in rpcbind.in savecore.in syslogd.in
 # These are FreeBSD specific
 SRCS-FreeBSD+=	adjkerntz.in devd.in dumpon.in encswap.in ipfw.in \
-		modules.in modules-load.in mixer.in nscd.in powerd.in syscons.in
+		mixer.in nscd.in powerd.in syscons.in
 
-SRCS-Linux=	binfmt.in devfs.in dmesg.in hwclock.in consolefont.in keymaps.in \
-		killprocs.in modules.in modules-load.in mount-ro.in mtab.in numlock.in \
-		procfs.in net-online.in sysfs.in termencoding.in
+SRCS-Linux=	agetty.in binfmt.in devfs.in cgroups.in dmesg.in hwclock.in \
+	consolefont.in keymaps.in killprocs.in modules.in \
+	mount-ro.in mtab.in numlock.in procfs.in net-online.in save-keymaps.in \
+	save-termencoding.in sysfs.in termencoding.in
 
 # Generic BSD scripts
 SRCS-NetBSD=	hostid.in moused.in newsyslog.in pf.in rarpd.in rc-enabled.in \
