=== local.d/Makefile ===
DIR=	${LOCALDIR}
CONF=	README

MK=		../mk
include ${MK}/os.mk
include ${MK}/scripts.mk
