=== runlevels/Makefile ===
--- 
+++ 
@@ -90,6 +90,12 @@
 			fi; \
 			ln -snf ${INITDIR}/"$$x" ${SHUTDOWNDIR}/"$$x" || exit $$?; done \
 	fi
+	if test "${MKSYSVINIT}" = yes && test "${OS}" = Linux; then \
+		for x in tty1 tty2 tty3 tty4 tty5 tty6; do \
+			ln -snf ${INITDIR}/agetty ${DESTDIR}/${INITDIR}/"agetty.$$x" || exit $$?; \
+			ln -snf ${INITDIR}/agetty.$$x ${DEFAULTDIR}/"agetty.$$x" || exit $$?; \
+		done; \
+	fi
 
 check test::
