=== src/Makefile ===
# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
# Released under the 2-clause BSD license.

SUBDIR=		libeinfo librc rc

MK=		../mk
include		${MK}/subdir.mk
