=== debian/changelog ===
openrc (0.42-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make -dev package symlinks in /usr/lib target shared libraries in
    /lib.  (Closes: #985509).

 -- Mark Hindley <leepen@debian.org>  Fri, 02 Apr 2021 11:16:00 +0100

openrc (0.42-2) unstable; urgency=medium

  * Team upload.
  * Grab a fix for FTBFS on gcc-10 from upstream. (Closes: #957642)

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 27 Nov 2020 09:48:35 +0100

openrc (0.42-1) unstable; urgency=medium

  * New upstream release, drop ppc64/riscv patches. (Closes: #958820)
  * Keep cgroups script and rewrite rules in regex. (Closes: #960183)
  * Add lintian overrides for openrc specific scripts.
  * Move .so symlinks to /usr/lib.

 -- Benda Xu <heroxbd@gentoo.org>  Fri, 15 May 2020 15:01:39 +0800

openrc (0.40.3-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Defer stripping to dh_strip. (Closes: #956715)

  [ Adam Borowski ]
  * Drop myself from uploaders.
  * Drop Pre-Dep on pre-Stretch init-system-helpers.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 14 Apr 2020 18:17:58 +0200
