=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,13 @@
 DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-DH_INSTALL_FILES = $(basename $(wildcard debian/*.install.in))
+DH_INSTALL_FILES = $(basename $(wildcard debian/*.install.in) $(wildcard debian/*.links.in))
 
 export LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)
 export SHLIBDIR = /lib/$(DEB_HOST_MULTIARCH)
 export LIBNAME = lib
 export LIBEXECDIR = /lib/rc
+export STRIP_BINARY = no
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 export MKAUDIT = yes
@@ -32,6 +33,9 @@
 	dh $@
 
 %.install: %.install.in
+	sed -e 's;@SHLIBDIR@;$(SHLIBDIR);g' -e 's;@LIBDIR@;$(LIBDIR);g' <$< >$@
+
+%.links: %.links.in
 	sed -e 's;@SHLIBDIR@;$(SHLIBDIR);g' -e 's;@LIBDIR@;$(LIBDIR);g' <$< >$@
 
 override_dh_auto_clean:
@@ -66,8 +70,9 @@
 		rm -rf $(CURDIR)/debian/openrc/etc/$${i} ; \
 	done
 
-	# We don't want the Gentoo init scripts, but only want savecache to stay
-	find $(CURDIR)/debian/openrc/etc/init.d/* -name savecache -or -name rc -or -name rcS -prune -o -exec rm -f {} +
+	# We don't want the Gentoo init scripts, but only want savecache and cgroups to stay #960183
+	find $(CURDIR)/debian/openrc/etc/init.d/* \
+		\! -type d \! -regex ".*/\(savecache\|cgroups\|rcS?\)" -delete
 
 	for dir in boot default sysinit shutdown; do \
 		rm -f $(CURDIR)/debian/openrc/etc/runlevels/$${dir}/* ; \
