=== debian/watch ===
version=3
https://github.com/OpenRC/openrc/tags /OpenRC/openrc/archive/(\d[\.\d]+)\.tar\.gz
